MCP Reference: docsmcp.googleapis.com

This is an MCP server which provides tools to interact with Google Docs.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The docsmcp.googleapis.com MCP server has the following tools:

MCP Tools
read_doc

This tool retrieves a JSON representation of the Google Doc given its document ID.

The JSON representation includes both the text as well as structural information about the document.

Corresponds to documents.get in the REST API.

update_doc

Updates a document using batch update requests. It accepts a documents.batchUpdate request (as JSON).

Corresponds to documents.batchUpdate in the REST API.

The list of possible updates is:

  • replaceAllText: Replaces all instances of the specified text.
  • insertText: Inserts text at the specified location.
  • updateTextStyle: Updates the text style at the specified range.
  • createParagraphBullets: Creates bullets for paragraphs.
  • deleteParagraphBullets: Deletes bullets from paragraphs.
  • createNamedRange: Creates a named range.
  • deleteNamedRange: Deletes a named range.
  • updateParagraphStyle: Updates the paragraph style at the specified range.
  • deleteContentRange: Deletes content from the document.
  • insertInlineImage: Inserts an inline image at the specified location.
  • insertTable: Inserts a table at the specified location.
  • insertTableRow: Inserts an empty row into a table.
  • insertTableColumn: Inserts an empty column into a table.
  • deleteTableRow: Deletes a row from a table.
  • deleteTableColumn: Deletes a column from a table.
  • insertPageBreak: Inserts a page break at the specified location.
  • deletePositionedObject: Deletes a positioned object from the document.
  • updateTableColumnProperties: Updates the properties of columns in a table.
  • updateTableCellStyle: Updates the style of table cells.
  • updateTableRowStyle: Updates the row style in a table.
  • replaceImage: Replaces an image in the document.
  • updateDocumentStyle: Updates the style of the document.
  • insertInlineSheetsChart: Inserts an inline Google Sheets chart at the specified location.
  • mergeTableCells: Merges cells in a table.
  • unmergeTableCells: Unmerges cells in a table.
  • refreshSheetsChart: Refreshes a Google Sheets chart.
  • createHeader: Creates a header.
  • createFooter: Creates a footer.
  • createFootnote: Creates a footnote.
  • replaceNamedRangeContent: Replaces the content in a named range.
  • updateEmbeddedObject: Updates the properties of an embedded object.
  • updateSectionStyle: Updates the section style of the specified range.
  • insertSectionBreak: Inserts a section break at the specified location.
  • deleteHeader: Deletes a header from the document.
  • deleteFooter: Deletes a footer from the document.
  • pinTableHeaderRows: Updates the number of pinned header rows in a table.
  • addDocumentTab: Adds a document tab.
  • deleteTab: Deletes a document tab.
  • updateDocumentTabProperties: Updates the properties of a document tab.
  • insertPerson: Inserts a person mention.
  • updateNamedStyle: Updates a named style.
  • insertRichLink: Insert a rich link.
  • insertDate: Inserts a date.
  • insertComment: Inserts a CommentThread into the document.
  • addCommentReply: Adds a reply to a CommentThread or SuggestionThread.
  • updateCommentPost: Updates an existing post (head post or reply) of a CommentThread or SuggestionThread.
  • deleteComment: Deletes a CommentThread.
  • deleteCommentReply: Deletes a reply Post from a CommentThread or SuggestionThread.
  • acceptSuggestion: Accepts a suggestion.
  • rejectSuggestion: Rejects a suggestion.
  • deleteSuggestion: Deletes a suggestion.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
curl --location 'https://docsmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'